<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package ZF_Theme
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">

<?php wp_head(); ?>


</head>

<body <?php body_class(); ?>>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'humppacom' ); ?></a>

	<header id="masthead" class="site-header" role="banner">
		
		




		<nav id="site-navigation" class="main-navigation" role="navigation">
			

		<?php if (! is_front_page()) : ?>
   
				<div class="alamenu" >
					<?php
						wp_nav_menu( array(
		  					'theme_location' => 'primary',
		  					'sub_menu'       => true,
		  					'direct_parent'  => true
						) );
					?>
				</div> <!-- .alamenu -->
		
		<?php endif; ?>	
			
			
			<div class="top-bar">
				<div class="top-bar-left">

						<div id="logodiv"  style="display:inline-block;border:0px solid yellow;">

						<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><img id="logo" src="<?php echo get_template_directory_uri(); ?>/dist/assets/img/logo_elakelaiset.png" class="headerlogo"></a>
						
						<div id="languagemenu"><?php get_sidebar(); ?>
							
						</div>
				
					</div> <!-- #logodiv -->


				</div>
				<div class="top-bar-right">
			
					<?php 	wp_nav_menu( array(
							'theme_location' => 'primary',
							'menu_id' => 'primary-menu',
							'menu_class' => 'horizontal menu',
							'items_wrap' => '<ul id="%1$s" class="%2$s" data-responsive-menu="small-dropdown">%3$s</ul>',
							'container' => false,
							'fallback_cb' => false,
							'walker' => new Foundation_Dropdown_Nav_Menu
					) ); ?>
				</div> <!-- .top-bar-right -->




			</div>	
	
					
		</nav><!-- #site-navigation -->
	</header><!-- #masthead -->

	<div id="content" class="site-content">
